using FLY.Thick.FilmCasting.Common;
using FObjBase.Reflect;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FLY.Thick.FilmCasting.IService
{
    /// <summary>
    /// 
    /// </summary>
    public interface IThkGaugeService
    {
        /// <summary>
        /// 动态区数据
        /// </summary>
        [PropertyPush]
        FLY.Thick.Base.Common.DynArea DynArea { get; }

        /// <summary>
        /// 扫描
        /// </summary>
        void Scan();

        /// <summary>
        /// 停止
        /// </summary>
        void Stop();

        /// <summary>
        /// 归零
        /// </summary>
        void Home();

        /// <summary>
        /// 前进
        /// </summary>
        void Forward();

        /// <summary>
        /// 后退
        /// </summary>
        void Backward();
        /// <summary>
        /// 运行到targetPos
        /// </summary>
        void Runto(int targetpos);


        /// <summary>
        /// 一直前进
        /// </summary>
        void ForwUntilStop();

        /// <summary>
        /// 一直后退
        /// </summary>
        void BackwUntilStop();
    }
}
